# synfig::ProgressCallback Class Reference

`#include <general.h>`

Inheritance diagram for synfig::ProgressCallback:

List of all members.

## Public Member Functions

virtual | ~ProgressCallback ()
virtual bool | task (const String &)
virtual bool | error (const String &)
virtual bool | warning (const String &)
virtual bool | amount_complete (int, int)
virtual bool | valid () const

## Detailed Description

Todo:
  writeme

## Constructor & Destructor Documentation

virtual synfig::ProgressCallback::~ProgressCallback | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool synfig::ProgressCallback::task | ( | const String & |  | ) | `[inline, virtual]`

Reimplemented in synfig::SuperCallback.

Referenced by freetype_constructor(), synfig::Main::Main(), synfig::Module::Register(), ppm::start_frame(), png_trgt::start_frame(), exr_trgt::start_frame(), jpeg_trgt::start_frame(), gif::start_frame(), bmp::start_frame(), and synfig::SuperCallback::task().

virtual bool synfig::ProgressCallback::error | ( | const String & |  | ) | `[inline, virtual]`

Reimplemented in synfig::SuperCallback.

Referenced by Translate::accelerated_render(), SuperSample::accelerated_render(), Rectangle::accelerated_render(), Metaballs::accelerated_render(), synfig::Layer_Composite::accelerated_render(), synfig::Layer::accelerated_render(), FilledRect::accelerated_render(), Circle::accelerated_render(), synfig::SuperCallback::error(), freetype_constructor(), ppm_mptr::get_frame(), exr_mptr::get_frame(), imagemagick_mptr::get_frame(), bmp_mptr::get_frame(), synfig::ListImporter::get_frame(), synfig::Module::Register(), synfig::Target_Tile::render(), synfig::Target_Scanline::render(), synfig::render(), synfig::render_threaded(), imagemagick_trgt::start_frame(), gif::start_frame(), and bmp::start_frame().

virtual bool synfig::ProgressCallback::warning | ( | const String & |  | ) | `[inline, virtual]`

Reimplemented in synfig::SuperCallback.

Referenced by Layer_Freetype::accelerated_render(), synfig::Module::Register(), and synfig::SuperCallback::warning().

virtual bool synfig::ProgressCallback::amount_complete | ( | int | ,
|  | int |  |
| ) |  |  | `[inline, virtual]`

Reimplemented in synfig::SuperCallback.

Referenced by Warp::accelerated_render(), SuperSample::accelerated_render(), SpiralGradient::accelerated_render(), Layer_Shade::accelerated_render(), Rotate::accelerated_render(), RadialGradient::accelerated_render(), RadialBlur::accelerated_render(), Noise::accelerated_render(), Metaballs::accelerated_render(), LumaKey::accelerated_render(), LinearGradient::accelerated_render(), synfig::Layer_SolidColor::accelerated_render(), synfig::Layer_Shape::accelerated_render(), synfig::Layer_PasteCanvas::accelerated_render(), synfig::Layer_Bitmap::accelerated_render(), Halftone3::accelerated_render(), Halftone2::accelerated_render(), FilledRect::accelerated_render(), CurveWarp::accelerated_render(), CurveGradient::accelerated_render(), ConicalGradient::accelerated_render(), synfig::Layer_ColorCorrect::accelerated_render(), synfig::Layer_Clamp::accelerated_render(), Circle::accelerated_render(), CheckerBoard::accelerated_render(), Blur_Layer::accelerated_render(), Layer_Bevel::accelerated_render(), synfig::SuperCallback::amount_complete(), synfig::Main::Main(), synfig::parametric_render(), synfig::Target_Tile::render(), synfig::Target_Scanline::render(), synfig::render(), and synfig::render_threaded().

virtual bool synfig::ProgressCallback::valid | ( |  | ) | const`[inline, virtual]`

Reimplemented in synfig::SuperCallback.

Referenced by synfig::SuperCallback::SuperCallback().

The documentation for this class was generated from the following file:

- general.h